<?php
/**
 * Plugin cibloc
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/cibloc_commun');


function cibloc_popin_choix_couleur_icone($nom_element=''){
    $return = '';
    $selected = '';
    
    // tableau des elements a colorer
    $tableau_elements = cibloc_tableau_des_couleurs_des_icones();
    
    $element_selected = 'icone_defaut';
    $couleur_element_selected = cibloc_couleur_hexa($tableau_elements[$element_selected]);
    if (cibloc_couleur_texte_pour_constraster($couleur_element_selected)){
        $style_selected = ' style="background-color:'.$couleur_element_selected.';color:#FFFFFF;"';
    } else {   
        $style_selected = ' style="background-color:'.$couleur_element_selected.';color:#484848;"';
    }    
        
    // Parcours du tableau
    $return .= '<select name="icone_couleur" onchange="cibloc_change_style_icone_select(this)"'.$style_selected.'>'."n";
    foreach($tableau_elements as $element=>$valeur){
        if (substr($element,0,5)=='icone' AND $element!='icone_ressource' AND $valeur!='transparent'){
            if($element === $element_selected){
                $selected = ' selected="selected"';
            } else {
                $selected = '';
            }
            
            $valeur_hexa = cibloc_couleur_hexa($valeur);

            if (cibloc_couleur_texte_pour_constraster($valeur_hexa)){
                $style = ' style="background-color:'.$valeur_hexa.';color:#FFFFFF;"';
            } else {
                $style = ' style="background-color:'.$valeur_hexa.';color:#484848;"';
            }
            
            if ($element=='icone_defaut'){
                $libelle = _T('cibloc:couleur_par_defaut');
            } else {
                $libelle = substr($element,6);
            }
            
            // Affichage de la ligne
            $return .= "\t".'<option value="'. $element .'"'. $selected . $style .'>'. $libelle .'</option>'."\n";
        }
    }
    $return .= '</select>'."\n";
    
    return $return;
}



function cibloc_popin_choix_echelle_icone($nom_element=''){
    $return = '';
    $selected = '';
         
    // tableau des elements a colorer
    $tableau_echelles = array(1,2,3,4,5);
    
        
    // Parcours du tableau
    $return .= '<select name="icone_echelle" onchange="cibloc_change_echelle_icone_select(this)">'."n";
    foreach($tableau_echelles as $echelle){
        if($echelle === 2){
            $selected = ' selected="selected"';
        } else {
            $selected = '';
        }
        
        // Affichage de la ligne
        $return .= "\t".'<option value="'. $echelle .'"'. $selected . '>'. $echelle .'</option>'."\n";
}
    $return .= '</select>'."\n";
    
    return $return;
}


?>